class Libtins < Formula
  desc "C++ network packet sniffing and crafting library"
  homepage "https://libtins.github.io/"
  url "https://github.com/mfontanini/libtins/archive/v4.5.tar.gz"
  sha256 "6ff5fe1ada10daef8538743dccb9c9b3e19d05d028ffdc24838e62ff3fc55841"
  license "BSD-2-Clause"
  head "https://github.com/mfontanini/libtins.git", branch: "master"

  depends_on "cmake" => :build
  depends_on "openssl@3"

  uses_from_macos "libpcap"

  def install
    system "cmake", "-S", ".", "-B", "build",
                    "-DLIBTINS_BUILD_EXAMPLES=OFF",
                    "-DLIBTINS_BUILD_TESTS=OFF",
                    "-DLIBTINS_ENABLE_CXX11=ON",
                    *std_cmake_args
    system "cmake", "--build", "build"
    system "cmake", "--install", "build"
  end

  test do
    (testpath/"test.cpp").write <<~EOS
      #include <tins/tins.h>
      int main() {
        Tins::Sniffer sniffer("en0");
      }
    EOS
    system ENV.cxx, "-std=c++11", "test.cpp", "-L#{lib}", "-ltins", "-o", "test"
  end
end
